Skip to main content

Create/Configure Ransomware Resilience​

Create or configure ransomware resilience settings for a storage array

Path Parameters
  • arrayId int32 required
Request Body

Request to create or configure ransomware resilience settings

  • arrayId int32
  • configInfo object
  • accountInfo object
  • organizationId string
  • organizationName string
  • serviceAccountName string
  • siteType string

    Possible values: [BACKUPVAULT, DATAVAULT, PRIMARY, PRIMARY_BACKUPVAULT]

  • isStorageAirgapEnabled boolean
  • threatScanInfo object
  • isThreatScanEnabled boolean
  • ARDVMs object
  • machineCredentials object[]
  • ipAddress string
  • credential object
  • id int32
  • name string
  • defenderVMs object
  • machineCredentials object[]
  • ipAddress string
  • credential object
  • id int32
  • name string
  • additionalInfo object
  • crrSVMInfo object
  • cidr string
  • gateway string
  • broadcastDomain string
  • ipSpace string
  • sourceArray object
  • id int32
  • name string
Responses

OK


Schema
  • rrConfigJobId int32
  • error object
  • errorMessage string
  • errorCode int32
Loading...